"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../utils");
function applyLimit(queries, astLimit) {
    // node-sqlparser's implementation of LIMIT is a bit buggy.
    // If limit and offset are passed, it returns an array where
    // the first item is the limit and the second one is the
    // offset, but if no offset is specified then the first item
    // in the array is the number 0 and the second one contains
    // the actual limit.
    // Plus, it throws an error if there's a newline character
    // following the limit.
    utils_1.assert(astLimit[0].value === 0, "LIMIT doesn't support specifying an OFFSET.");
    var limit = utils_1.astValueToNative(astLimit[1]);
    return queries.map(function (query) { return query.limit(limit); });
}
exports.applyLimit = applyLimit;
function applyLimitLocally(docs, astLimit) {
    var limit = utils_1.astValueToNative(astLimit[1]);
    docs.splice(limit);
    return docs;
}
exports.applyLimitLocally = applyLimitLocally;
//# sourceMappingURL=limit.js.map